---
title: "Boiler Upgrade Scheme (£7,500 BUS Grant) & Running Cost Calculator UK (2026)"
source_url: "https://heatpumpreviews.co.uk/calculator/"
canonical_url: "https://heatpumpreviews.co.uk/calculator/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Free UK Boiler Upgrade Scheme calculator. Calculate your £7,500 grant deduction, net installation cost, annual electricity bills on Cosy Octopus, and savings vs gas or oil."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://heatpumpreviews.co.uk/calculator/](https://heatpumpreviews.co.uk/calculator/)
>
> *Free UK Boiler Upgrade Scheme calculator. Calculate your £7,500 grant deduction, net installation cost, annual electricity bills on Cosy Octopus, and savings vs gas or oil.*

# UK Boiler Upgrade Scheme (£7,500 BUS Grant) & Bill Calculator

Instantly simulate your gross equipment cost, non-repayable £7,500 government grant deduction, net out-of-pocket balance, and annual electricity bills on dedicated heat pump tariffs.

### Your 2026 Estimated Financial Summary

#### Lock In Your £7,500 BUS Grant Pack & Sizing Breakdown

Download your personalized property thermal load assessment, 20-year tariff savings schedule, and match with verified local MCS engineers.

### Lock In Your £7,500 Voucher with Local MCS Installers

Enter your postcode to receive an official voucher entitlement summary and connect with verified MCS-certified heat pump engineers in your local area.

By submitting, you agree to our [Terms](https://heatpumpreviews.co.uk/terms/) and [Privacy Policy](https://heatpumpreviews.co.uk/privacy-policy/). Data protected under UK ICO Reg ZC136598. Matched with up to 3 accredited local MCS installers. Zero spam.

## How the £7,500 BUS Grant Maths Works

Under the UK Government's **Boiler Upgrade Scheme (BUS)**, eligible homeowners in England and Wales receive an upfront voucher worth **£7,500** for an air source or ground source heat pump.

- **0% VAT:** Under UK statutory energy-saving material rules, all residential heat pump installations carry **0% VAT** (saving an additional £1,500–£2,500 compared to standard home improvements).
- **Deduction at Invoice:** You do not pay £11,000 and wait for a government rebate. The accredited MCS installer deducts the £7,500 directly from your quotation, leaving you only with the net balance (£2,000–£4,500 for most homes).
- **Smart Tariff Advantage:** When scheduled with smart time-of-use tariffs like *Cosy Octopus* (which provides 3 daily off-peak electricity slots at ~12p/kWh), modern heat pumps operate at an effective heat cost of ~3.5p–4.2p per kWh—significantly cheaper than mains gas (~6.2p/kWh).

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://heatpumpreviews.co.uk/calculator/](https://heatpumpreviews.co.uk/calculator/).
